#%define python_sitelib /usr/lib/python2.4/site-packages/

Summary: VMPinfo SOSReport plugins
Name: vmpinfo3-sosreport
Version: 1.0.0
Release: 6%{?dist}.7
License: GPL
Group: System Environment/Base
BuildArch: noarch
Source0: %{name}-%{version}.tar.gz 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Patch1: dummy.patch
Patch2: rev62.patch
Patch3: rev71.patch
Patch4: rev130.patch
Patch5: rev132.patch
Patch6: rev134.patch
Patch7: rev161.patch
Patch8: rev167.patch
Patch9: rev198.patch
Patch10: rev204.patch
# End Oracle Patches

%description
This package contains VMPinfo3 sosreport plugins.

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0

%install
%{__rm} -rf %{buildroot}
mkdir -p %{buildroot}%{python_sitelib}/sos/plugins
install -m 0755 ocfs2.py %{buildroot}%{python_sitelib}sos/plugins
install -m 0755 ovm3.py %{buildroot}%{python_sitelib}sos/plugins

%clean
rm -rf %{buildroot}/%{python_sitelib}sos/plugins/ocfs2.py*
rm -rf %{buildroot}/%{python_sitelib}sos/plugins/ovm3.py*

%files
%defattr(-, root, root, 0755)
#%{python_sitelib}/sos/plugins/*
%{python_sitelib}/sos/plugins/ocfs2.py*
%{python_sitelib}/sos/plugins/ovm3.py*
%doc LICENSE

%changelog
* Wed Jul 02 2014 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-6.el5.7 
-  [bug 19072077]  

* Thu Jun 26 2014 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-6.el5.6 
-  [bug 19072077]  

* Tue Oct 01 2013 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-6.el5.5 
-  [bug 16807732] [bug get] [bug iptables] [bug status,] [bug rules]  

* Mon Sep 30 2013 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-6.el5.4 
-  [bug 17537203] [bug kernel] [bug information] [bug for] [bug dom0] [bug added]  

* Thu Aug 22 2013 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-6.el5.3 
-  [bug 16789835]  

* Thu Aug 22 2013 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-6.el5.2 
-  [bug 16776273]  

* Thu Aug 22 2013 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-6.el5.1 
-  [bug 17350038] [bug OVCA] [bug sosreport] [bug plugin] [bug for] [bug dom0]  

* Tue Nov 20 2012 Julie Trask <julie.trask@oracle.com> - 1.0.0-6 
- Justin wanted http://ca-svn/svn/repos/rhel4/vmpinfo/ovm/branches/vmpinfo-3.0/sosplugin/ovm3.py@191 added to the plugins -- this commit is for him in his absence 

* Thu Aug 16 2012 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-5 
- sosreport report plugins for OVM 3.2.1 

* Wed Apr 4 2012 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-4
- Added the following
- ovs-agent-db dump_db server
- ovs-agent-db dump_db aproc
- ovs-agent-db dump_db repository
- ovs-agent-db -c dump_db server_pool
- ovs-agent-db -c dump_db server_pool_servers
- ovs-agent-db -c dump_db monitored_vms
- ntpq -pn
- pgrep ntpd
- netstat -tulpn | grep 123
- /etc/ntp.conf
- Add LICENSE

* Thu Dec 29 2011 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-3
- Added more collections for vdisks and xm.cfg

* Wed Oct 5 2011 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-2
- First release

* Mon Jan 9 2011 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-1
- Added the following:
- /usr/sbin/ovs-agent-db dump_db server
- /usr/sbin/ovs-agent-db dump_db repository
- /usr/sbin/ovs-agent-db dump_db aproc
- /usr/sbin/ovs-agent-db -c dump_db server_pool
- /usr/sbin/ovs-agent-db -c dump_db server_pool_servers
- /usr/sbin/ovs-agent-db -c dump_db monitored_vms
- /etc/ovs-agent
- /etc/ovs-config
- /etc/ovs-info
- /etc/ovs-release
- ls -l -R /dlm
